@font-face{
    font-family:'Roboto';
    src: url('../fonts/roboto-regular-webfont.woff') format('woff');
}

@font-face{
    font-family:'Poppins';
    src: url('../fonts/poppins-regular-webfont.woff') format('woff');
}

@font-face{
    font-family:'Nebula';
    src: url('../fonts/nebula-regular-webfont.woff') format('woff');
}

@font-face{
    font-family:'Almairah';
    src: url('../fonts/almairah_01-webfont.woff') format('woff');
}

:root {
    --color-project-primary: #007f21;
    --color-project-secondary: white;
}

.font-roboto {
    font-family: Nephilm !important;
}

.font-poppins{
    font-family: 'Poppins' !important;
}

.font-nebula{
    font-family: 'nebula' !important;
}

.font-almairah{
    font-family: 'almairah' !important;
}

body {
    font-family: "Roboto";
}

.text-project-primary {
    color: var(--color-project-primary);
}

.text-project-secondary {
    color: var(--color-project-secondary);
}

.text-justify {
    text-align: justify;
}

.text-small {
    font-size: 8px;
}

.bg-project-primary {
    background-color: var(--color-project-primary);
}

.bg-project-secondary {
    background-color: var(--color-project-secondary);
}

.text-transform-uppercase {
    text-transform: uppercase;
}

.text-transform-capitalize {
    text-transform: capitalize;
}

.nav-item {
    padding-top: 5px;
    padding-bottom: 5px;
}

button.navbar-toggler {

    width: 35px;
    height: 30px;
    padding: 5px;
}

button.navbar-toggler,
button.navbar-toggler:focus {

    border: 0;
    outline: 0;
    appearance: none;
    box-shadow: none;
    padding: 0;
}

button.navbar-toggler > span {

    width: 100%;
    height: 5px;
    background-color: white;
    transition: transform .5s;
}

button[aria-expanded="true"].navbar-toggler > span:nth-child(2){

    transform: translateX(5px);
}

.nav-link {
    color: white;
}

.short-text {

    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    width: 250px;
}

.table-col-100 {
    width: 100px;
}

.table-col-200 {
    width: 200px;
}

.table-col-50 {
    width: 50px;
}


.footer-title > li {
    padding: 10px 0;
}

@keyframes animate-x {
    from {
        transform: translateX(-100px);
        opacity: 0;
    }

    to {
        transform: translateX(0px);
        opacity: 1;
    }
}

.animation-x {
    animation-name: animate-x;
    animation-duration: 4s;
}
